Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.scheduler
Class TriggerConfig

    java.lang.Object
      org.apache.stratum.scheduler.TriggerConfig

public class TriggerConfig
extends java.lang.Object

This bean represents the settings used to create a Trigger object for use in the Quartz scheduler

      This trigger is a Quartz trigger that uses a "Cron-Expression" which
      is a string comprised of 6 fields separated by white space. The 6
      fields are as follows:
       Field Name   Allowed Values   Allowed Special Characters
      seconds      0-59             , - * /
      minutes      0-59             , - * /
      hours        0-23             , - * /
      dayOfMonth   0-31             , - * ? / L C
      month        1-12 or JAN-DEC  , - * /
      dayOfWeek    1-7 or SUN-SAT   , - * ? / L C
        -The '*' character is used to specify all values. For example, "*" in
        the minute field means "every minute".
        -The '?' character is allowed for the day-of-month and day-of-week
        fields. It is used to specify 'no specific value'. This is useful when
        you need to specify something in one of the two fileds, but not the
        other. See the examples below for clarification.
        -The '-' character is used to specify ranges For example "10-12" in
        the hour field means "the hours 10, 11 and 12".
        -The ',' character is used to specify additional values. For example
        "MON,WED,FRI" in the day-of-week field means "the days Monday,
        Wednesday, and Friday".
        -The '/' character is used to specify increments. For example "0/15"
        in the seconds field means "the seconds 0, 15, 30, and 45". And "5/15"
        in the seconds field means "the seconds 5, 20, 35, and 50". You can \
        also specify '/' after the '*' character - in this case '*' is
        equivalent to having '0' before the '/'.
        -The 'L' character is allowed for the day-of-month and day-of-week
        fields. This character is short-hand for "last", but it has different
        meaning in each of the two fields. For example, the value "L" in the
        day-of-month field means "the last day of the month" - day 31 for
        January, day 28 for February on non-leap years. If used in the
        day-of-week field by itself, it simply means "7" or "SAT". But if
        used in the day-of-week field after another value, it means "the
        last xxx day of the month" - for example "6L" or "FRIL" both mean
        "the last friday of the month". When using the 'L' option, it is
        important not to specify lists, or ranges of values, as you'll get
        confusing results.
        -The 'C' character is allowed for the day-of-month and day-of-week
        fields. This character is short-hand for "calendar". This means values
        are calculated against the associated calendar, if any. If no calendar
        is associated, then it is equivalent to having an all-inclusive
        calendar. A value of "5C" in the day-of-month field means "the first
        day included by the calendar on or after the 5th". A value of "1C" in
        the day-of-week field means "the first day included by the calendar on
        or after sunday".

Version:
  $Id: TriggerConfig.java 264191 2005-08-29 18:07:52Z henning $
Author:
  John Thorhauer

Constructor Summary
`TriggerConfig()` Default contructor

Method Summary
`java.lang.String` | `getDayOfMonth()` DOCUMENT ME!
`java.lang.String` | `getDayOfWeek()` DOCUMENT ME!
`java.lang.String` | `getGroup()` DOCUMENT ME!
`java.lang.String` | `getHours()` DOCUMENT ME!
`java.lang.String` | `getJobName()` DOCUMENT ME!
`java.lang.String` | `getMinutes()` DOCUMENT ME!
`java.lang.String` | `getMonth()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`java.lang.String` | `getSeconds()` DOCUMENT ME!
`void` | `setDayOfMonth(java.lang.String s)` Field Name Allowed Values Allowed Special Characters dayOfMonth 0-31 , - * ? / L C
`void` | `setDayOfWeek(java.lang.String s)` Field Name Allowed Values Allowed Special Characters dayOfWeek 1-7 or SUN-SAT , - * ? / L C
`void` | `setGroup(java.lang.String s)` This is the name of group that the trigger is associated with
`void` | `setHours(java.lang.String s)` Field Name Allowed Values Allowed Special Characters hours 0-23 , - * /
`void` | `setJobName(java.lang.String s)` This is the name of job that the trigger is associated with
`void` | `setMinutes(java.lang.String s)` Field Name Allowed Values Allowed Special Characters minutes 0-59 , - * /
`void` | `setMonth(java.lang.String s)` Field Name Allowed Values Allowed Special Characters month 1-12 or JAN-DEC , - * /
`void` | `setName(java.lang.String s)` This is the name of the trigger
`void` | `setSeconds(java.lang.String s)` Field Name Allowed Values Allowed Special Characters seconds 0-59 , - * /

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerConfig

    public TriggerConfig()

  Default contructor

Method Detail

### setName

    public void setName(java.lang.String s)

  This is the name of the trigger

  Parameters:
    `s` - trigger name

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    the name of the trigger

### setGroup

    public void setGroup(java.lang.String s)

  This is the name of group that the trigger is associated with

  Parameters:
    `s` - group name

### getGroup

    public java.lang.String getGroup()

  DOCUMENT ME!

  Returns:
    the group name

### setJobName

    public void setJobName(java.lang.String s)

  This is the name of job that the trigger is associated with

  Parameters:
    `s` - job name

### getJobName

    public java.lang.String getJobName()

  DOCUMENT ME!

  Returns:
    the job name

### setSeconds

    public void setSeconds(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        seconds      0-59             , - * /

  Parameters:
    `s` - seconds

### getSeconds

    public java.lang.String getSeconds()

  DOCUMENT ME!

  Returns:
    seconds

### setMinutes

    public void setMinutes(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        minutes      0-59             , - * /

  Parameters:
    `s` - minutes

### getMinutes

    public java.lang.String getMinutes()

  DOCUMENT ME!

  Returns:
    mintutes

### setHours

    public void setHours(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        hours        0-23             , - * /

  Parameters:
    `s` - hours

### getHours

    public java.lang.String getHours()

  DOCUMENT ME!

  Returns:
    hours

### setDayOfMonth

    public void setDayOfMonth(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        dayOfMonth   0-31             , - * ? / L C

  Parameters:
    `s` - day of month

### getDayOfMonth

    public java.lang.String getDayOfMonth()

  DOCUMENT ME!

  Returns:
    day of month

### setMonth

    public void setMonth(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        month        1-12 or JAN-DEC  , - * /

  Parameters:
    `s` - month

### getMonth

    public java.lang.String getMonth()

  DOCUMENT ME!

  Returns:
    month

### setDayOfWeek

    public void setDayOfWeek(java.lang.String s)

        Field Name   Allowed Values   Allowed Special Characters
        dayOfWeek    1-7 or SUN-SAT   , - * ? / L C

  Parameters:
    `s` - day of the week

### getDayOfWeek

    public java.lang.String getDayOfWeek()

  DOCUMENT ME!

  Returns:
    day of the week

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.